Chrome 69 increase time for first visual change in synthetic testing
Open, NormalPublic

Description

Yesterday I pushed Chrome 69 to my test server and it seems like for the Wikipedia pages I test the first visual change moved something like 100 ms. I'm gonna rollback and check if the timings go back and then roll forward again and collect more data.

We can see that on some wikis (Chinese, Japanese, Russian) first paint is 20-30% slower when upgrading to Chrome 69 (from 68).

Upstream: https://bugs.chromium.org/p/chromium/issues/detail?id=887205

Related Objects

Peter created this task.Sep 5 2018, 6:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2018, 6:51 AM
Peter added a comment.Sep 6 2018, 6:51 AM

I'm not 100%, it seems like some of the URLs change, I think the only way to be sure is to update on our WebPageReplay/Browsertime machines (the test server I'm using isn't super stable).

For Obama it's hard to be sure:

But for the other Sweden and Facebook it looks like first visual change is affected:

Let me push the change so we can see on more URLs what happens.

Peter added a comment.Sep 6 2018, 7:14 AM

Pushed 69 and Firefox 62 now. WebPageTest was upgraded late 4/9, I've added a annotation to make it easier to see.

Krinkle moved this task from Inbox to Next-up on the Performance-Team board.Sep 10 2018, 6:03 PM
Peter moved this task from Next-up to Doing on the Performance-Team board.Sep 10 2018, 6:04 PM
Peter closed this task as Resolved.Sep 12 2018, 9:02 AM

I think I was wrong. The metrics are more unstable now for Chrome but it has been that way for a while, and I think it's time to deploy on a new server.

Peter reopened this task as Open.Wed, Sep 19, 8:38 AM

Re-open, I've seen on other wikis that something really changed in 69. I'll add metrics later today.

Peter added a comment.Wed, Sep 19, 8:48 AM

Looking at other wikis it seems pretty clear that 69 introduced something. Only change in the Docker container at that moment was upgrading to 69 (and FF to 62). The blue annotation line in the graph is when we updated to 69:




Peter added a comment.Wed, Sep 19, 8:40 PM

I've made more tests now and made sure the only change is 69. It seems that 69 spends more time in creating the layout:
Layout : 1214.3 vs Layout : 1836.0

I collected trace logs and will create a upstream issue in Chrome first thing tomorrow.


Peter updated the task description. (Show Details)Thu, Sep 20, 4:34 AM
Peter triaged this task as Normal priority.Fri, Sep 21, 10:22 AM

I've looked at the RUM metrics and see the same thing there:





They seem to match pretty good.